import numpy as np
import os
import sys


def main(SpeciesName):
	filename="Molecules2.txt"


	Tmin, Tmax, numax = np.loadtxt(filename, usecols=(0,1,2),unpack=True)
	name, M = np.loadtxt(filename, dtype='str', usecols=(3,4),unpack=True)

	#print(m, Tmin, Tmax, numax, name, iso)

	 
	for j in range(len(M)):

		if(name[j] == SpeciesName):

			path = "../" + name[j] + "_e2/"
			cbinpath = name[j] + "_cbin/"
			print(name[j], int(numax[j] / 1000), path)

			os.mkdir(cbinpath)
			os.system('cp param.dat %s' % cbinpath)
			os.system('cp ScriptCbin %s' % cbinpath)
			os.chdir('%s' %cbinpath)
			print(os.getcwd())
			os.system('bash ScriptCbin %s %d %s' % (M[j], int(numax[j] / 1000),  path))
			os.chdir('../')
			print(os.getcwd())


if __name__ == "__main__":
	if(len(sys.argv) < 2):
		print("Error, no species specified, run python3 binScript.py <id>")
		exit()

	m = sys.argv[1]
	print(m)
	main(m)
